diff -urN ../nagios.patched/cgi/avail.c ./cgi/avail.c
--- ../nagios.patched/cgi/avail.c	Wed Jan 21 05:56:09 2004
+++ ./cgi/avail.c	Sat Aug  7 15:46:49 2004
@@ -1044,9 +1044,11 @@
 	printf("Nagios Availability\n");
 	printf("</title>\n");
 
-	if(use_stylesheet==TRUE)
+	if(use_stylesheet==TRUE){
+		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,AVAIL_CSS);
-
+	}
+
 	printf("</head>\n");
 
 	printf("<BODY CLASS='avail'>\n");
diff -urN ../nagios.patched/cgi/cmd.c ./cgi/cmd.c
--- ../nagios.patched/cgi/cmd.c	Fri Mar 26 07:04:04 2004
+++ ./cgi/cmd.c	Sat Aug  7 15:46:49 2004
@@ -240,8 +240,10 @@
 		printf("External Command Interface\n");
 		printf("</title>\n");
 
-		if(use_stylesheet==TRUE)
+		if(use_stylesheet==TRUE){
+			printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 			printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,COMMAND_CSS);
+		}
 
 		printf("</head>\n");
 
diff -urN ../nagios.patched/cgi/config.c ./cgi/config.c
--- ../nagios.patched/cgi/config.c	Fri Aug 15 03:34:09 2003
+++ ./cgi/config.c	Sat Aug  7 15:46:49 2004
@@ -321,8 +321,10 @@
 	printf("Configuration\n");
 	printf("</title>\n");
 
-	if(use_stylesheet==TRUE)
+	if(use_stylesheet==TRUE){
+		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,CONFIG_CSS);
+	}
 
 	printf("</head>\n");
 
diff -urN ../nagios.patched/cgi/extinfo.c ./cgi/extinfo.c
--- ../nagios.patched/cgi/extinfo.c	Thu May 20 07:47:21 2004
+++ ./cgi/extinfo.c	Sat Aug  7 15:46:49 2004
@@ -500,9 +500,10 @@
 	printf("Extended Information\n");
 	printf("</title>\n");
 
-	if(use_stylesheet==TRUE)
+	if(use_stylesheet==TRUE){
+		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>",url_stylesheets_path);
 		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>",url_stylesheets_path,EXTINFO_CSS);
-
+	}
 	printf("</head>\n");
 
 	printf("<body CLASS='extinfo'>\n");
diff -urN ../nagios.patched/cgi/histogram.c ./cgi/histogram.c
--- ../nagios.patched/cgi/histogram.c	Wed Jan 21 05:56:09 2004
+++ ./cgi/histogram.c	Sat Aug  7 15:46:49 2004
@@ -1001,8 +1001,10 @@
 		printf("Nagios Histogram\n");
 		printf("</title>\n");
 
-		if(use_stylesheet==TRUE)
+		if(use_stylesheet==TRUE){
+			printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 			printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,HISTOGRAM_CSS);
+		}
 	
 		printf("</head>\n");
 
diff -urN ../nagios.patched/cgi/history.c ./cgi/history.c
--- ../nagios.patched/cgi/history.c	Fri Aug 15 03:34:09 2003
+++ ./cgi/history.c	Sat Aug  7 15:46:49 2004
@@ -323,9 +323,10 @@
 	printf("Nagios History\n");
 	printf("</title>\n");
 
-	if(use_stylesheet==TRUE)
+	if(use_stylesheet==TRUE){
+		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,HISTORY_CSS);
-	
+	}
 	printf("</head>\n");
 	printf("<BODY CLASS='history'>\n");
 
diff -urN ../nagios.patched/cgi/notifications.c ./cgi/notifications.c
--- ../nagios.patched/cgi/notifications.c	Fri Aug 15 03:34:09 2003
+++ ./cgi/notifications.c	Sat Aug  7 15:46:49 2004
@@ -310,9 +310,11 @@
 	printf("Alert Notifications\n");
 	printf("</title>\n");
 
-	if(use_stylesheet==TRUE)
+	if(use_stylesheet==TRUE){
+		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,NOTIFICATIONS_CSS);
-
+	}
+	
 	printf("</head>\n");
 
 	printf("<body CLASS='notifications'>\n");
diff -urN ../nagios.patched/cgi/outages.c ./cgi/outages.c
--- ../nagios.patched/cgi/outages.c	Fri Aug 15 03:34:09 2003
+++ ./cgi/outages.c	Sat Aug  7 15:46:49 2004
@@ -230,8 +230,10 @@
 	printf("Network Outages\n");
 	printf("</title>\n");
 
-	if(use_stylesheet==TRUE)
+	if(use_stylesheet==TRUE){
+		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>",url_stylesheets_path);
 		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>",url_stylesheets_path,OUTAGES_CSS);
+	}
 
 	printf("</head>\n");
 
diff -urN ../nagios.patched/cgi/showlog.c ./cgi/showlog.c
--- ../nagios.patched/cgi/showlog.c	Fri Aug 15 03:34:09 2003
+++ ./cgi/showlog.c	Sat Aug  7 15:46:49 2004
@@ -196,8 +196,10 @@
 	printf("Nagios Log File\n");
 	printf("</TITLE>\n");
 
-	if(use_stylesheet==TRUE)
+	if(use_stylesheet==TRUE){
+		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,SHOWLOG_CSS);
+	}
 
 	printf("</HEAD>\n");
 	printf("<BODY CLASS='showlog'>\n");
diff -urN ../nagios.patched/cgi/status.c ./cgi/status.c
--- ../nagios.patched/cgi/status.c	Wed Mar 24 06:22:03 2004
+++ ./cgi/status.c	Sat Aug  7 15:46:49 2004
@@ -502,8 +502,10 @@
 	printf("Current Network Status\n");
 	printf("</title>\n");
 
-	if(use_stylesheet==TRUE)
+	if(use_stylesheet==TRUE){
+		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>",url_stylesheets_path);
 		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>",url_stylesheets_path,STATUS_CSS);
+	}
 
 	printf("</head>\n");
 
diff -urN ../nagios.patched/cgi/statusmap.c ./cgi/statusmap.c
--- ../nagios.patched/cgi/statusmap.c	Wed Jan 21 05:56:09 2004
+++ ./cgi/statusmap.c	Sat Aug  7 15:46:49 2004
@@ -330,8 +330,10 @@
 		printf("Network Map\n");
 		printf("</title>\n");
 
-		if(use_stylesheet==TRUE)
+		if(use_stylesheet==TRUE){
+			printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 			printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,STATUSMAP_CSS);
+		}
 
 		/* write JavaScript code for popup window */
 		write_popup_code();
diff -urN ../nagios.patched/cgi/summary.c ./cgi/summary.c
--- ../nagios.patched/cgi/summary.c	Fri Aug 15 03:34:09 2003
+++ ./cgi/summary.c	Sat Aug  7 15:46:49 2004
@@ -719,9 +719,11 @@
 	printf("Nagios Event Summary\n");
 	printf("</title>\n");
 
-	if(use_stylesheet==TRUE)
+	if(use_stylesheet==TRUE){
+		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,SUMMARY_CSS);
-
+	}
+	
 	printf("</head>\n");
 
 	printf("<BODY CLASS='summary'>\n");
diff -urN ../nagios.patched/cgi/tac.c ./cgi/tac.c
--- ../nagios.patched/cgi/tac.c	Mon Jan  5 03:45:35 2004
+++ ./cgi/tac.c	Sat Aug  7 15:46:49 2004
@@ -334,8 +334,10 @@
 	printf("Nagios Tactical Monitoring Overview\n");
 	printf("</TITLE>\n");
 
-	if(use_stylesheet==TRUE)
+	if(use_stylesheet==TRUE){
+		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 		printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,TAC_CSS);
+	}
 
 	printf("</HEAD>\n");
 	printf("<BODY CLASS='tac' marginwidth=2 marginheight=2 topmargin=0 leftmargin=0 rightmargin=0>\n");
diff -urN ../nagios.patched/cgi/trends.c ./cgi/trends.c
--- ../nagios.patched/cgi/trends.c	Thu May 20 07:47:22 2004
+++ ./cgi/trends.c	Sat Aug  7 15:46:49 2004
@@ -1104,9 +1104,11 @@
 		printf("Nagios Trends\n");
 		printf("</title>\n");
 
-		if(use_stylesheet==TRUE)
+		if(use_stylesheet==TRUE){
+			printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s/common.css'>\n",url_stylesheets_path);
 			printf("<LINK REL='stylesheet' TYPE='text/css' HREF='%s%s'>\n",url_stylesheets_path,TRENDS_CSS);
-	
+		}
+		
 		/* write JavaScript code for popup window */
 		if(display_type!=DISPLAY_NO_TRENDS)
 			write_popup_code();
